package com.iamberry.wechat.service.mapper;

import com.iamberry.wechat.core.entity.channel.ChannelPrice;

import java.util.List;

/**
 *  渠道对应产品返利价格表接口
 * @author xm
 * @Date 2018-07-23
 */
public interface ChannelPriceMapper {
    /**
     * 获取集合
     * @param  channelPrice
     * @return List
     */
    List<ChannelPrice> getChannelPriceList(ChannelPrice channelPrice);

    /**
     * 获取集合-渠道列表展示
     * @param  channelPrice
     * @return List
     */
    public List<ChannelPrice> getChannelProductList(ChannelPrice  channelPrice);

    /**
     * 查询单条数据
     * @param  id
     * @return  channelPrice
     */
    ChannelPrice  getChannelPriceById(Integer  id);
    /**
     * 增加数据
     * @param  channelPrice
     * @return Integer
     */
    Integer  save(ChannelPrice  channelPrice);
    /**
     * 修改数据
     * @param  channelPrice
     * @return Integer
     */
    Integer  update(ChannelPrice  channelPrice);
    /**
     * 删除数据
     * @param  id
     * @return Integer
     */
    Integer  delete(Integer  id);
    /**
     * 增加数据 <集合>
     * @param  channelPriceList
     * @return Integer
     */
    Integer  saveList(List<ChannelPrice>  channelPriceList);
    /**
     * 删除数据 <集合>
     * @param  ids
     * @return Integer
     */
    Integer  deleteList(Integer[]  ids);
}